# Generated by Django 3.0.5 on 2020-05-10 08:59

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('chats', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='usermessagestatus',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_message_statuses', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='userchatstatus',
            name='chat',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_chat_statuses', to='chats.Chat'),
        ),
        migrations.AddField(
            model_name='userchatstatus',
            name='user',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_chat_statuses', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='message',
            name='chat',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='messages', to='chats.Chat'),
        ),
        migrations.AddField(
            model_name='message',
            name='user_from',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='messages', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='chat',
            name='users',
            field=models.ManyToManyField(related_name='chats', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterUniqueTogether(
            name='usermessagestatus',
            unique_together={('message', 'user')},
        ),
        migrations.AlterUniqueTogether(
            name='userchatstatus',
            unique_together={('user', 'chat')},
        ),
    ]
